NICOTINE+(1)

NAME
nicotine - graphical client for the Soulseek peer-to-peer network

SYNOPSIS
nicotine [options]

DESCRIPTION
Nicotine+ is a graphical application that allows users to interact with the Soulseek peer-to-peer network.

OPTIONS

-c <file>, --config=<file>
    Use <file> as configuration file. If <file> does not exists a new empty configuration file will be created.

-u <dir>, --user-data=<dir>
    Use <dir> as directory for user data and plugins. If <dir> does not exists a new empty directory will be created.

-h, --help
    Show command help and exit.

-s, --hidden
    Start the program without showing window.

-b <ip>, --bindip=<ip>
    Bind sockets to the given <ip> (useful for VPN).

-l <port>, --port=<port>
    Listen on the given port. Overrides the port range configuration.

-r, --rescan
    Rescan shared files.

-n, --headless
    Start the program in headless mode (no GUI).

-v, --version
    Show version number and exit.

EXIT STATUS
The regular exit status of the program is 0.
If required dependencies are not present, the exit status is 1.
If the given list of arguments cannot be parsed, the exit status is 2.

FILES

~/.config/nicotine/config
    The configuration file.

~/.local/share/nicotine/
    Other personal files such as downloads, shares and logs.

ENVIRONMENT
The following environment variables are available when running the program.

NICOTINE_GTK_VERSION
The major GTK version to use, if installed. Possible values are 4 or 3.

NICOTINE_LIBADWAITA
Whether to enable libadwaita (GNOME theme), if installed. Possible values
    are 1 or 0.

AUTHOR
Nicotine+ Team <https://nicotine-plus.org/>